#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n;
    cin>>n;
    long long i=0;
    long long j=2*n+1;
    n/=2;
    for (long long k=0;k<n;k++){
        j--;
        i++;
        cout<<j<<" "<<i<<" ";
    }
    cout<<endl;
    for (long long l=0;l<n;l++){
        j--;
        i++;
        cout<<j<<" "<<i<<" ";
    }
    cout<<endl;
    return 0;
}